Package com.sas.lsaf.schedule

## Enum ScheduleTrigger.DayOfWeek

- java.lang.Object
- - java.lang.Enum<ScheduleTrigger.DayOfWeek>
  - - com.sas.lsaf.schedule.ScheduleTrigger.DayOfWeek

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ScheduleTrigger.DayOfWeek>`
  Enclosing class:
    ScheduleTrigger

      public static enum ScheduleTrigger.DayOfWeek
      extends java.lang.Enum<ScheduleTrigger.DayOfWeek>

  The days of a week to use in weekly schedules.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FRI` |
    `MON` |
    `SAT` |
    `SUN` |
    `THU` |
    `TUE` |
    `WED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScheduleTrigger.DayOfWeek` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ScheduleTrigger.DayOfWeek[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUN

          public static final ScheduleTrigger.DayOfWeek SUN

    - #### MON

          public static final ScheduleTrigger.DayOfWeek MON

    - #### TUE

          public static final ScheduleTrigger.DayOfWeek TUE

    - #### WED

          public static final ScheduleTrigger.DayOfWeek WED

    - #### THU

          public static final ScheduleTrigger.DayOfWeek THU

    - #### FRI

          public static final ScheduleTrigger.DayOfWeek FRI

    - #### SAT

          public static final ScheduleTrigger.DayOfWeek SAT

  - ### Method Detail

    - #### values

          public static ScheduleTrigger.DayOfWeek[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScheduleTrigger.DayOfWeek c : ScheduleTrigger.DayOfWeek.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScheduleTrigger.DayOfWeek valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null